#import "Kakao.h"
#import <KakaoOpenSDK/KakaoOpenSDK.h>

@implementation Kakao

- (void)login:(CDVInvokedUrlCommand*)command
{
  [[KOSession sharedSession] close];

  [[KOSession sharedSession] openWithCompletionHandler:^(NSError *error) {
    if ([[KOSession sharedSession] isOpen]) {
      // 로그인 성공
      // 사용자 정보 요청
      [KOSessionTask meTaskWithCompletionHandler:^(KOUser* result, NSError *error) {
        CDVPluginResult* pluginResult = nil;
        if (result) {
          // 사용자 정보 요청 성공
          if (result.email) {
            NSLog(@"email=%@", result.email);
          } else {
            // disagreed
          }
          // 리턴
          NSDictionary *userSession = @{
            @"id": result.ID,
            @"nickname": [result propertyForKey:KOUserNicknamePropertyKey],
          };
          pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsDictionary:userSession];
        } else {
          // 사용자 정보 요청 실패
          pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR messageAsString:[error localizedDescription]];
        }
        [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
      }];
    } else {
      // 로그인 실패
      CDVPluginResult* pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR messageAsString:[error localizedDescription]];
      [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
    }
  } authType: (KOAuthType)KOAuthTypeTalk, nil];
}

@end
